iOS高德地图SDK(3D) V11.2.0001

Properties | List of all members
MAOverlayPathRenderer Class Reference

`#import <MAOverlayPathRenderer.h>`

Inheritance diagram for MAOverlayPathRenderer:

## Properties
UIColor * | fillColor
UIColor * | strokeColor
CGFloat | lineWidth
MALineJoinType | lineJoinType
MALineCapType | lineCapType
CGFloat | miterLimit
MALineDashType | lineDashType
BOOL | reducePoint
Properties inherited from MAOverlayRenderer
id< MAOverlayRenderDelegate > | rendererDelegate
id< MAOverlay > | overlay
UIImage * | strokeImage
CGFloat | alpha
CGFloat | contentScale

## Additional Inherited Members
Instance Methods inherited from MAOverlayRenderer
(GLuint strokeTextureID) | - __attribute
(instancetype) | - initWithOverlay:
| 初始化并返回一个Overlay Renderer initialize and return an Overlay Renderer More...
(float *) | - getViewMatrix
| 获取当前地图view矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map view matrix with an array length of 16, no external release required. Valid matrix data can only be obtained after adding to the map, otherwise returns NULL. More...
(float *) | - getProjectionMatrix
| 获取当前地图projection矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map projection matrix with an array length of 16, no need for external release. Valid matrix data can only be obtained after adding it to the map, otherwise returns NULL. More...
(MAMapPoint) | - getOffsetPoint
| 获取当前地图中心点偏移，用以把地图坐标转换为gl坐标。需要添加到地图获取才有效。（since 5.1.0） Get the current map center offset to convert map coordinates to gl coordinates. It only takes effect when added to map acquisition （since 5.1.0） More...
(id< MTLRenderCommandEncoder >) | - getCommandEncoder
| 获取Metal渲染MTLRenderCommandEncoder对象。注意：打开地图MetalEnable时有效，否则为nil（since 7.9.0） Obtain the Metal rendering MTLRenderCommandEncoder object. Note: It is valid when MetalEnable is turned on for the map, otherwise it is nil.（since 7.9.0） More...
(CGFloat) | - getMapZoomLevel
| 获取当前地图缩放级别，需要添加到地图获取才有效。（since 5.1.0） Get the current map zoom level, which is only valid when added to the map（since 5.1.0） More...
(CGPoint) | - glPointForMapPoint:
| 将MAMapPoint转换为opengles可以直接使用的坐标 Convert MAMapPoint to coordinates that can be directly used by OpenGLES More...
(CGPoint *) | - glPointsForMapPoints:count:
| 批量将MAMapPoint转换为opengles可以直接使用的坐标 Batch convert MAMapPoint to coordinates that can be directly used by opengles More...
(CGFloat) | - glWidthForWindowWidth:
| 将屏幕尺寸转换为OpenGLES尺寸 Convert screen size to OpenGLES size More...
(void) | - glRender
| 绘制函数(子类需要重载来实现) Drawing function (subclasses need to override to implement) More...
(GLuint) | - loadTexture:
| 加载纹理图片. 注意：仅使用gles环境（since 5.1.0） Load texture image. Note: Only use gles environment （since 5.1.0） More...
(void) | - deleteTexture:
| 删除纹理. 注意：仅使用gles环境（since 5.1.0） Delete texture. Note: Only use in GLES environment（since 5.1.0） More...
(void) | - setNeedsUpdate
| 当关联overlay对象有更新时，调用此接口刷新. since 5.0.0 Call this interface to refresh when the associated overlay object is updated. since 5.0.0 More...
Protected Attributes inherited from MAOverlayRenderer
GLuint | _strokeTextureID
CGSize | _strokeTextureSize
BOOL | _needsUpdate
BOOL | _needsLoadStrokeTexture

## Detailed Description

该类设置overlay绘制的属性，可以使用该类的子类MACircleRenderer, MAPolylineRenderer, MAPolygonRenderer或者继承该类 This class sets the properties for overlay drawing, and you can use its subclasses MACircleRenderer, MAPolylineRenderer, MAPolygonRenderer or inherit from this class

## Property Documentation

## ◆ fillColor

- (UIColor*) fillColor
| read write nonatomic retain

填充颜色,默认是kMAOverlayRendererDefaultFillColor Fill color, default is kMAOverlayRendererDefaultFillColor

## ◆ lineCapType

- (MALineCapType) lineCapType
| read write nonatomic assign

LineCap,默认是kMALineCapButt LineCap, default is kMALineCapButt

## ◆ lineDashType

- (MALineDashType) lineDashType
| read write nonatomic assign

虚线类型, since 5.5.0 line dash pattern, since 5.5.0

## ◆ lineJoinType

- (MALineJoinType) lineJoinType
| read write nonatomic assign

LineJoin,默认是kMALineJoinBevel LineJoin, default is kMALineJoinBevel

## ◆ lineWidth

- (CGFloat) lineWidth
| read write nonatomic assign

笔触宽度, 单位屏幕点坐标，默认是0 stroke width, in screen points, default is 0

## ◆ miterLimit

- (CGFloat) miterLimit
| read write nonatomic assign

MiterLimit,默认是2.f MiterLimit, default is 2.f

## ◆ reducePoint

- (BOOL) reducePoint
| read write nonatomic assign

是否抽稀，默认为YES，since 10.0.8000 Whether to thin, default is YES, since 10.0.8000

## ◆ strokeColor

- (UIColor*) strokeColor
| read write nonatomic retain

笔触颜色,默认是kMAOverlayRendererDefaultStrokeColor stroke color, default is kMAOverlayRendererDefaultStrokeColor

The documentation for this class was generated from the following file:

- MAOverlayPathRenderer.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。